org.apache.felix.framework.ext

## Class ClassPathExtenderFactory.DefaultClassLoaderExtender

- java.lang.Object
- - org.apache.felix.framework.ext.ClassPathExtenderFactory.DefaultClassLoaderExtender

All Implemented Interfaces:
  ClassPathExtenderFactory, ClassPathExtenderFactory.ClassPathExtender

Enclosing interface:
  ClassPathExtenderFactory

    public static final class ClassPathExtenderFactory.DefaultClassLoaderExtender
    extends Object
    implements ClassPathExtenderFactory, ClassPathExtenderFactory.ClassPathExtender

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.felix.framework.ext.ClassPathExtenderFactory

`ClassPathExtenderFactory.ClassPathExtender, ClassPathExtenderFactory.DefaultClassLoaderExtender`

### Constructor Summary

Constructors
Constructor and Description
`DefaultClassLoaderExtender()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(File file)`
`ClassPathExtenderFactory.ClassPathExtender` `getExtender(ClassLoader loader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultClassLoaderExtender

    public DefaultClassLoaderExtender()

### Method Detail

#### getExtender

    public ClassPathExtenderFactory.ClassPathExtender getExtender(ClassLoader loader)

Specified by:
  `getExtender` in interface `ClassPathExtenderFactory`

#### add

    public void add(File file)
             throws Exception

Specified by:
  `add` in interface `ClassPathExtenderFactory.ClassPathExtender`
Throws:
  `Exception`